Bug 857557 - Totem-mozplugin temp files created in user homedir instead of $TMP
Totem-mozplugin temp files created in user homedir instead of $TMP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 16:10 EDT by Homme Bitter
Modified: 2013-07-31 17:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:03:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Homme Bitter 2012-09-14 16:10:37 EDT
Description of problem:

Totem-mozplugin tries to create tmpfiles in user homedir to play mp3 files (and possible other media).


Version-Release number of selected component (if applicable):

Fedora 17 X86_64 / FF15 / totem-mozplugin 3.4.3-1

How reproducible:

Solid, 100% of the time
Install FC17/X86_64 with FF15 and totem-mozplugin 3.4.3-1

Steps to Reproduce:
1. Install FC17/X86_64 with FF15 and totem-mozplugin 3.4.3-1. (Possibly needed are 3rd party plugins for mp3 and/or other nonfree formats?) Enable SElinux
2. Browse to website that serves .mp3 audiofile or other format that requires totem-mozplugin to create tmp files
3. SElinux blocks access to user homedir and mediafile not being played.
  
Actual results: SElinux (correctly) refuses to let the plugin create files in the user homedir.


Expected results: Plugin should create (temporary) files in /tmp directory, or wherever $TMP directs to. 


Additional info: Allowing FireFox plugins universal read/write/create/delete rights into user homedir is a big security hazard and should not happen. Either Fedora should fix this, or advocate a fix upstream in the Totem development team.
Comment 1 Fedora End Of Life 2013-07-03 16:44:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 17:03:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.